React UI Components Documentation
Typescript React Editor Component
This tutorial will show you the basics of how to get started with the jQWidgets Editor React Component.
Prerequisites
Refer to Getting Started with React before you start with this help topic.
Structure
I. Imports:
import * as React from 'react'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';import JqxEditor, { IEditorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxeditor';
II. Class:
class App extends React.PureComponent<{}, IEditorProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxEditor width={this.state.width} height={"100%"} ..... /> ) }}
III. Render:
ReactDOM.render(<App />, document.getElementById('app'));
Events
The event names in React are constructed of the original event names starting with capital letter plus on upfront:
class App extends React.PureComponent<{}, IEditorProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxEditor onNameOfEvent={this.handleEvent} width={this.state.width} height={"100%"} ..... /> ) } private handleEvent(e: Event): void { // Do Something ... }}
Methods & Properties
This is how you call methods & props:
//Get Methodsconst value = this.myEditor.current!.methodName(arg1, arg2); //Set Methodsthis.myEditor.current!.methodName(arg1, arg2); //Get Propertiesconst height = this.state.height; //Set Propertiesthis.setState({ height: 250 });
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
Every component also have a method getOptions which returns the value of the requested option.
Editor API
API Reference of the jQWidgets Editor React Component: Editor API
Editor Demos
Demos Reference of the jQwidgets Editor React Component: Editor Demos

Angular UI Components Documentation

Angular Editor Component

The Editor component for Angular represents a ready-for-use HTML text editor which can simplify web content creation or be a replacement of your HTML Text Areas.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxEditor [theme]="'fluent'" [width]="getWidth()" [height]="400">
    &lt;b&gt;jqxEditor&lt;/b&gt; is a HTML text editor designed to simplify web content creation. You can use it as a replacement of your Textarea.
    &lt;br /&gt;
    &lt;br /&gt;
    Features include:
    &lt;br /&gt;
    &lt;ul&gt;
    &lt;li&gt;Text formatting&lt;/li&gt;
    &lt;li&gt;Text alignment&lt;/li&gt;
    &lt;li&gt;Hyperlink dialog&lt;/li&gt;
    &lt;li&gt;Image dialog&lt;/li&gt;
    &lt;li&gt;Bulleted list&lt;/li&gt;
    &lt;li&gt;Numbered list&lt;/li&gt;
    &lt;/ul&gt;
</jqxEditor>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxEditorModule, jqxEditorComponent } from 'jqwidgets-ng/jqxeditor';
@Component({
	selector: 'app-root',
	imports: [jqxEditorModule],
	standalone: true,
	templateUrl: './app.component.html'
})

export class AppComponent {

	getWidth(): any {
		if (document.body.offsetWidth < 850) {
			return '90%';
		}

		return 850;
	}

}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

Editor API

API Reference of the jQWidgets Editor component for Angular: Editor API

Vue UI Components Documentation
Vue Editor Component
The Editor component for Vue represents a ready-for-use HTML text editor which can simplify web content creation or be a replacement of your HTML Text Areas.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The Editor component for Vue requires the following import:
import JqxEditor from "jqwidgets-scripts/jqwidgets-vue/vue_jqxeditor.vue";
Add the jqxEditor component to the components section of the the Vue class:
components: { JqxEditor },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxEditor/>
<template> <JqxEditor :width="width" :height="height" :lineBreak="lineBreak"> <b>JqxEditor</b> is a HTML text editor designed to simplify web content creation. You can use it as a replacement of your Textarea. <br /> <br /> Features include: <br /> <ul> <li>Text formatting</li> <li>Text alignment</li> <li>Hyperlink dialog</li> <li>Image dialog</li> <li>Bulleted list</li> <li>Numbered list</li> </ul> </JqxEditor></template>
Properties
The properties of the <JqxEditor/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { width: 800, height: 400, lineBreak: 'div' }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxEditor @change="onChange()" :width="width" :height="height" :lineBreak="lineBreak"> <b>JqxEditor</b> is a HTML text editor designed to simplify web content creation. You can use it as a replacement of your Textarea. <br /> <br /> Features include: <br /> <ul> <li>Text formatting</li> <li>Text alignment</li> <li>Hyperlink dialog</li> <li>Image dialog</li> <li>Bulleted list</li> <li>Numbered list</li> </ul></JqxEditor>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onChange: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxEditor ref="editor"></JqxEditor>
Here how you can use a component's method:
this.$refs.editor.setMode(true);
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxEditor ref="editor" @change="onChange()" :width="width" :height="height" :lineBreak="lineBreak"> <b>JqxEditor</b> is a HTML text editor designed to simplify web content creation. You can use it as a replacement of your Textarea. <br /> <br /> Features include: <br /> <ul> <li>Text formatting</li> <li>Text alignment</li> <li>Hyperlink dialog</li> <li>Image dialog</li> <li>Bulleted list</li> <li>Numbered list</li> </ul> </JqxEditor></template> <script> // Import the components that will be used import JqxEditor from "jqwidgets-scripts/jqwidgets-vue/vue_jqxeditor.vue"; export default { components: { // Adding imported widgets here JqxEditor }, data: function () { // Define properties which will use in the widget return { width: 800, height: 400, lineBreak: 'div' } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { // Add here all used callbacks and/or events onChange: function () { // Do something... this.$refs.editor.setMode(true); } } }</script> <style></style>
Editor Example
<template> <JqxEditor :width="width" :height="400" :tools="tools" :createCommand="createCommand"> <b>JqxEditor</b> is a HTML text editor designed to simplify web content creation. You can use it as a replacement of your Textarea or you can create it from a DIV element. <br /> <br /> Features include: <br /> <ul> <li>Text formatting</li> <li>Text alignment</li> <li>Hyperlink dialog</li> <li>Image dialog</li> <li>Bulleted list</li> <li>Numbered list</li> </ul> </JqxEditor></template> <script> import JqxEditor from "jqwidgets-scripts/jqwidgets-vue/vue_jqxeditor.vue"; export default { components: { JqxEditor }, data: function () { return { width: 800, tools: 'bold italic underline | font size | left center right | outdent indent' } }, methods: { createCommand: function (name) { switch (name) { case 'font': return { init: (widget) => { widget.jqxDropDownList({ source: [ { label: 'Arial', value: 'Arial, Helvetica, sans-serif' }, { label: 'Comic Sans MS', value: '"Comic Sans MS", cursive, sans-serif' }, { label: 'Courier New', value: '"Courier New", Courier, monospace' }, { label: 'Georgia', value: 'Georgia,serif' }] }); } } case 'size': return { init: (widget) => { widget.jqxDropDownList({ source: [ { label: '8pt', value: 'xx-small' }, { label: '12pt', value: 'small' }, { label: '18pt', value: 'large' }, { label: '36pt', value: 'xx-large' } ] }); } } } } } }</script> <style></style>